Name: esorex
Version: 3.6.12
Release: 4%{?dist}
Summary: Recipe Execution Tool of the European Southern Observatory 

Group: Applications/Engineering
License: GPLv2+
URL: http://www.eso.org/observing/cpl/esorex.html
Source0: ftp://ftp.hq.eso.org/pub/cpl/%{name}-%{version}.tar.gz
Patch0: esorex-configure.patch
Buildroot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires: cpl-devel

%description
EsoRex is the ESO Recipe Execution Tool. It can list, configure and 
execute CPL-based recipes from the command line.
One of the features provided by the CPL is the ability to create 
data-reduction algorithms that run as plugins (dynamic libraries). These 
are called recipes and are one of the main aspects of the 
CPL data-reduction development environment.

%prep
%setup -q
%patch0 -p1

%build
%configure  --with-cpl-libs=%{_libdir}
%{__make} %{?_smp_mflags}

%install
%{__rm} -fr %{buildroot}
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -fr %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING README BUGS ChangeLog
%{_bindir}/*
%{_datadir}/*

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri May 08 2009 Sergio Pascual <sergiopr at fedoraproject.org> 3.6.12-3
- Reverting plugin directory patch. Not working in x86_64

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 22 2008 Sergio Pascual <sergiopr at fedoraproject.org> 3.6.12-1
- New upstream source

* Sat Nov 22 2008 Sergio Pascual <sergiopr at fedoraproject.org> 3.6.8-2
- Summary rewritten

* Sun Apr 06 2008 Sergio Pascual <sergiopr at fedoraproject.org> 3.6.8-1
- New upstream source

* Sat Feb 09 2008 Sergio Pascual <sergiopr at fedoraproject.org> 3.6.6-3
- New upstream source, uses cpl > 4.0

* Thu Sep 13 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.1-0.3
- Updated license tag to follow Fedora guidelines

* Fri Apr 27 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.1-0.2
- The recipe dir is predefined in the patch (esorex-pluginpath.patch)

* Thu Apr 26 2007 Sergio Pascual <spr@astrax.fis.ucm.es> 3.6.1-0.1
- Initial spec file.
